#cython: language_level=3

from .capi.obitypes cimport index_t
from ._obidms       cimport OBIView, OBIDMS_column, OBIDMS_column_multi_elts


cdef class OBIDMS_column_seq(OBIDMS_column):
    cpdef object get_line(self, index_t line_nb)
    cpdef set_line(self, index_t line_nb, object value)
    
    # TO DISCUSS : 
    # I'am not sure that this method has to be declared here
    # Alignment must be declared outside of the sequence object
    cpdef align(self, 
                OBIView score_view,
                OBIDMS_column score_column, 
                double threshold = *, 
                bint normalize = *, 
                int reference = *,
                bint similarity_mode = *)


cdef class OBIDMS_column_multi_elts_seq(OBIDMS_column_multi_elts):
    cpdef object get_item(self, index_t line_nb, str element_name)
    cpdef object get_line(self, index_t line_nb)
    cpdef set_item(self, index_t line_nb, str element_name, object value)
